var comments = {
	lineComment: "#",
	blockComment: [
		"#=",
		"=#"
	]
};
var brackets = [
	[
		"{",
		"}"
	],
	[
		"[",
		"]"
	],
	[
		"(",
		")"
	]
];
var autoClosingPairs = [
	[
		"{",
		"}"
	],
	[
		"[",
		"]"
	],
	[
		"(",
		")"
	],
	[
		"`",
		"`"
	],
	{
		open: "\"",
		close: "\"",
		notIn: [
			"string",
			"comment"
		]
	}
];
var surroundingPairs = [
	[
		"{",
		"}"
	],
	[
		"[",
		"]"
	],
	[
		"(",
		")"
	],
	[
		"\"",
		"\""
	],
	[
		"`",
		"`"
	]
];
var folding = {
	markers: {
		start: "^\\s*#region",
		end: "^\\s*#endregion"
	}
};
var indentationRules = {
	increaseIndentPattern: "^(\\s*|.*=\\s*|.*@\\w*\\s*)[\\w\\s]*(?:[\"'`][^\"'`]*[\"'`])*[\\w\\s]*\\b(if|while|for|function|macro|(mutable\\s+)?struct|abstract\\s+type|primitive\\s+type|let|quote|try|begin|.*\\)\\s*do|else|elseif|catch|finally)\\b(?!(?:.*\\bend\\b[^\\]]*)|(?:[^\\[]*\\].*)$).*$",
	decreaseIndentPattern: "^\\s*(end|else|elseif|catch|finally)\\b.*$"
};
var julia = {
	comments: comments,
	brackets: brackets,
	autoClosingPairs: autoClosingPairs,
	surroundingPairs: surroundingPairs,
	folding: folding,
	indentationRules: indentationRules
};

export { autoClosingPairs, brackets, comments, julia as default, folding, indentationRules, surroundingPairs };
